Name:          libxkbcommon
Version:       0.6.1
Release:       1mamba
Summary:       Keyboard handling library using XKB data
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://xkbcommon.org/
Source:        http://xkbcommon.org/download/libxkbcommon-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: xkeyboard-config-devel
BuildRequires: util-macros
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
xkbcommon is a library to handle keyboard descriptions, including loading them from disk, parsing them and handling their state.
It's mainly meant for client toolkits, window systems, and other system applications; currently that includes Wayland, kmscon, GTK+, Qt, Clutter, and more.
Despite the name, it isn't actually used by anything X11 (yet).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mv %{buildroot}%{_datadir}/doc/libxkbcommon \
   %{buildroot}%{_datadir}/doc/libxkbcommon-devel-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libxkbcommon.so.*
%{_libdir}/libxkbcommon-x11.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xkbcommon
%{_includedir}/xkbcommon/xkbcommon*.h
%{_libdir}/libxkbcommon.la
%{_libdir}/libxkbcommon.so
%{_libdir}/libxkbcommon-x11.la
%{_libdir}/libxkbcommon-x11.so
%{_libdir}/pkgconfig/xkbcommon.pc
%{_libdir}/pkgconfig/xkbcommon-x11.pc
%doc %{_datadir}/doc/libxkbcommon-devel-%{version}

%changelog
* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Sat Nov 01 2014 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Tue May 28 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.3.0-1mamba
- package created by autospec
